petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSAdjointSetSteps

Sets the number of steps the adjoint solver should take backward in time

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSAdjointSetSteps(TS ts,PetscInt steps)

Logically Collective on TS Many br

### Input Parameters

| ts | - the TS context obtained from TSCreate() Many br
| steps | - number of steps to use Many br

Many br

Notes: Normally one does not call this and TSAdjointSolve() integrates back to the original timestep. One can call this Many brso as to integrate back to less than the original timestep Many br

### Keywords

TS, timestep, set, maximum, iterations

### See Also

TSSetExactFinalTime()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages